package net.sf.doolin.tabular.csv;

import org.apache.commons.lang.ObjectUtils;
import org.apache.commons.lang.StringUtils;

/**
 * Just renders the value by calling the <code>toString()</code> method on it
 * and escapes special characters.
 * 
 * @author Damien Coraboeuf
 */
public class StringCSVAdapter implements CSVAdapter {

	/**
	 * Just renders the value by calling the <code>toString()</code> method on
	 * it and escapes special characters.
	 * 
	 * @see net.sf.doolin.tabular.csv.CSVAdapter#getCSVValue(java.lang.Object)
	 */
	public String getCSVValue(Object value) {
		String string = ObjectUtils.toString(value, "");
		// Replace double quotes
		string = StringUtils.replace(string, "\"", "\"\"");
		// Surrounds with quotes
		return "\"" + string + "\"";
	}

}
