/*
 * Created on Aug 14, 2007
 */
package net.sf.doolin.tabular.model;

/**
 * Defines a column in a tabular model.
 * 
 * @author Damien Coraboeuf
 * @param <T>
 *            Type of object per row
 */
public interface TabularColumn<T> {

	/**
	 * Returns the title of this column
	 * 
	 * @return Title
	 */
	String getTitle();

	/**
	 * Computes the column value for an item
	 * 
	 * @param item
	 *            Row item
	 * @return Value for this column
	 */
	Object getValue(T item);

}
